/* 
 * i-scream central monitoring system
 * http://www.i-scream.org.uk
 * Copyright (C) 2000-2002 i-scream
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

//---PACKAGE DECLARATION---
package uk.org.iscream.cms.conient;

//---IMPORTS---

/**
 * This is essentially a wrapper for the java.lang.Process object.
 * It allows the connection to take advantage of the reference
 * passing of java in order to maintain a reference to the Process
 * object that holds the external tunnelling process.
 *
 * @author  $Author: tdb $
 * @version $Id: TunnelProcess.java,v 1.4 2002/05/21 16:47:10 tdb Exp $
 */
public class TunnelProcess {

//---FINAL ATTRIBUTES---

    /**
     * The current CVS revision of this class
     */
    public static final String REVISION = "$Revision: 1.4 $";
    
//---STATIC METHODS---

//---CONSTRUCTORS---

//---PUBLIC METHODS---

//---PRIVATE METHODS---

//---ACCESSOR/MUTATOR METHODS---

    /**
     * Acessor for the process held by this object
     *
     * @return the process
     */
    public Process getProcess() {
        return _process;
    }
    
    /**
     * Mutator for the process held by this object
     *
     * @param process the new process
     */
    public void setProcess(Process process) {
        _process = process;
    }

//---ATTRIBUTES---
    
    /**
     * The process held by this object
     */
    private Process _process;
        
//---STATIC ATTRIBUTES---

}